> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit order

> edit order

**Limit: 5 requests per 1 second**\
Edit order price or quantity by orderId or clientOrderId.


## OpenAPI

````yaml PUT /v3/trade/order
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/trade/order:
    put:
      description: edit order
      parameters:
        - $ref: '#/components/parameters/ApiKeyHeader'
        - $ref: '#/components/parameters/SignatureHeader'
        - $ref: '#/components/parameters/TimestampHeader'
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditOrder'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EditOrderResponse'
      security: []
components:
  parameters:
    ApiKeyHeader:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        example: abcdef123456
      description: api-key
    SignatureHeader:
      name: x-api-signature
      in: header
      required: true
      schema:
        type: string
        example: signaturestring
      description: api-signature
    TimestampHeader:
      name: x-api-timestamp
      in: header
      required: true
      schema:
        type: string
        example: '1718943200000'
      description: api-timestamp
  schemas:
    EditOrder:
      type: object
      properties:
        orderId:
          type: integer
          description: >-
            Id of the order; Either orderId or clientOrderId is required. If
            both are passed, orderId will be used.
        clientOrderId:
          type: integer
          description: >-
            Client order Id as assigned by the user; Either orderId or
            clientOrderId is required. If both are passed, orderId will be used.
        price:
          type: string
          description: >-
            Only applicable to LIMIT/IOC/FOK/POST_ONLY orders;  MARKET/ASK/BID
            orders will ignore this field
          example: ''
        quantity:
          type: string
          description: >-
            Either quantity or amount is required;  If both are passed, the
            request will be rejected
          example: ''
    EditOrderResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                status:
                  type: string
                  description: ''
                  enum:
                    - NEW
                    - CANCELLED
                    - PARTIAL_FILLED
                    - FILLED
                    - REJECTED
                    - INCOMPLETE
                    - COMPLETED
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp

````